﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper;
@using Toyota.Common.Web.MVC;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;

@Html.DevExpress().GridView(
            settings =>
            {
                settings.Name = "GVDCLScreenAddMaster";

                settings.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                settings.Width = Unit.Percentage(100);
                settings.KeyFieldName = "date";
                settings.SettingsDetail.AllowOnlyOneMasterRowExpanded = false;
                settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.TopAndBottom;
                settings.CallbackRouteValues = new { Controller = "DCLScreen", Action = "DCLScreenAddMaster" };


                settings.CallbackRouteValues = new { Controller = "DailyOrder", Action = "RegularDataGrid" };
                settings.Settings.ShowVerticalScrollBar = false;
                settings.Settings.VerticalScrollableHeight = 250;
                settings.SettingsPager.Position = PagerPosition.Bottom;
                settings.SettingsPager.FirstPageButton.Visible = true;
                settings.SettingsPager.LastPageButton.Visible = true;

                settings.Settings.ShowFilterRow = true;
                settings.Settings.ShowFilterRowMenu = true;
                //setting.CommandColumn.Visible = true;
                settings.CommandColumn.ClearFilterButton.Visible = true;

                settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
                settings.SettingsPager.FirstPageButton.Visible = true;
                settings.SettingsPager.LastPageButton.Visible = true;
                settings.SettingsPager.ShowNumericButtons = true;

                settings.SettingsPager.PageSizeItemSettings.Visible = true;
                settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
                settings.SettingsPager.PageSizeItemSettings.Caption = "Page size"; 
                
                
              
                
              

                settings.Columns.Add(
                            column =>
                            {
                                column.FieldName = "date";
                                column.Caption = "Pick Up Date";
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                              

                                column.PropertiesEdit.DisplayFormatString = "d";
                                column.SetDataItemTemplateContent(container =>
                                {
                                    Html.DevExpress().HyperLink(hlSettings =>
                                    {
                                        hlSettings.Name = string.Format("hla_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                                        hlSettings.NavigateUrl = "javascript:void(0)";
                                        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClickAdditonal('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
                                        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
                                    }).Render();
                                });
                            });
                settings.Columns.Add(
                            column =>
                            {
                                column.FieldName = "Route";
                                column.Caption = "Route Name";
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                                column.PropertiesEdit.DisplayFormatString = "d";
                            });

                settings.Columns.Add(
                            column =>
                            {
                                column.FieldName = "Rate";
                                column.Caption = "Rate";
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            });
                /*settings.Columns.Add(
                            column =>
                            {
                                column.FieldName = "LPCode";
                                column.Caption = "LP CODE";
                          //      column.Width = System.Web.UI.WebControls.Unit.Pixel(30);
                                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            });*/
                settings.Columns.Add(
                            column =>
                            {
                                column.FieldName = "DRIVER_NAME";
                                column.Caption = "Driver Name";

                                //    column.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                column.SetDataItemTemplateContent(
                                        "<input type = text id=AddDriverName style='width:100%;'></input>"
                                    );
                                column.Settings.AllowAutoFilter = DefaultBoolean.False;
                            });

                settings.Columns.Add(column =>
                {
                    column.FieldName = "Download";
                    column.Caption = "Download";

                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.SetDataItemTemplateContent(container =>
                    {
                        Html.DevExpress().HyperLink(hlSettings =>
                        {

                            hlSettings.NavigateUrl = "javascript:void(0)";
                            hlSettings.Properties.ImageUrl = Url.Content((container as GridViewDataItemTemplateContainer).Text);
                        }).Render();
                    });
                    column.Settings.AllowAutoFilter = DefaultBoolean.False;
                });

                settings.Columns.Add(
                           column =>
                           {
                               column.FieldName = "DownloadBy";
                               column.Caption = "Download by";
                               //  column.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                               
                               column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                           });
                settings.Columns.Add(
                           column =>
                           {
                               column.FieldName = "DownloadTime";
                               column.Caption = "Download Time";
                               //  column.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                              
                               column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                           });
                /*int counter = 0;
                settings.SetDataItemTemplateContent(D =>
                {
                    string fieldName = D.Column.FieldName;
                    if (fieldName.Equals("Download"))
                    {

                        Html.DevExpress().Image(
                            img =>
                            {
                                img.ImageUrl = "~/Content/Images/csv_icon.png";
                            }).Render();
                        Html.DevExpress().Image(
                            img =>
                            {
                                img.ImageUrl = "~/Content/Images/pdf_icon.png";
                            }).Render();
                    }
                    counter++;
                });*/
                /*settings.Columns.Add(
                            column =>
                            {
                                column.FieldName = "AddDriverName";
                                column.Caption = "Driver Name";
                                column.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;

                            });*/
                /*settings.Columns.Add(
                            column =>
                            {
                                column.FieldName = "SKID_NO";
                                column.Caption = "Notif";
                          //      column.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                                
                                column.SetDataItemTemplateContent(
                                        "<img src=" + @Url.Content("~/Content/Images/replied_icon.png") + " />"
                                    );
                                column.Settings.AllowAutoFilter = DefaultBoolean.False;
                            });*/
                
                settings.Columns.Add(
                    column =>
                    {
                        column.Name = "Capability";
                        column.FieldName = "Capability";
                        column.Caption = "Capability";
                        column.ColumnType = MVCxGridViewColumnType.TextBox;
                    });
                settings.Columns["Capability"].CellStyle.HorizontalAlign = HorizontalAlign.Center;

                settings.Columns.Add(column =>
                {
                    column.FieldName = "SKID_NO";
                    column.Caption = "Notif";
                    column.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.Settings.AllowAutoFilter = DefaultBoolean.False;
                    column.SetDataItemTemplateContent(container =>
                    {
                        Html.DevExpress().HyperLink(hlSettings =>
                        {
                            hlSettings.Name = string.Format("SKID_NO_1{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                            hlSettings.NavigateUrl = "javascript:void(0)";
                            hlSettings.Properties.ClientSideEvents.Click = "function(s, e){ $.jslane.toggleOpen(\"bottom\"); }";
                            hlSettings.Properties.ImageUrl = Url.Content((container as GridViewDataItemTemplateContainer).Text);
                        }).Render();
                    });
                });
                
                settings.SetDetailRowTemplateContent(
                        c =>
                        {
                            Html.RenderAction("SearchDCLAddDetail", new { Name = DataBinder.Eval(c.DataItem, "date") });
                        });


                /*settings.PreRender = (sender, e) =>
                {

                };*/


                int counter = 0;
                settings.SetDataItemTemplateContent(D =>
                {
                    string fieldName = D.Column.FieldName;
                   
                    if (fieldName.Equals("Capability"))
                    {

                        ViewContext.Writer.Write("<table><tr><td>");
                        Html.DevExpress().ComboBox(
                            comboSettings =>
                            {
                                comboSettings.Name = "cbCapability" + counter;
                                comboSettings.Properties.Items.AddRange(new string[] { "Yes", "No" });
                                comboSettings.Width = Unit.Pixel(70);
                            }
                        ).Render();
                        ViewContext.Writer.Write("</td><td>");
                        @Html.DevExpress().Button(
                            comboSettings =>
                            {
                                comboSettings.Name = "btnCapabilityReguler" + counter;
                                comboSettings.Text = "Update";
                                comboSettings.Width = 80;
                                comboSettings.UseSubmitBehavior = true;
                            }
                        ).Render();
                        ViewContext.Writer.Write("</td></tr></table>");
                        
                    }
                    else
                    {
                        Html.DevExpress().Label(
                            labelSettings =>
                            {
                                labelSettings.Name = fieldName + counter;
                                labelSettings.Text = Convert.ToString(DataBinder.Eval(D.DataItem, fieldName));
                            }
                        ).Render();
                    }
                    counter++;
                });



            }).Bind(Model.GetModel<Portal.Models.DCLScreen.DCLScreenModel>().DCLScreenAddMain).GetHtml()